using System;

internal sealed class Delegate651 : MulticastDelegate
{
	public extern void Invoke(string string_0, string string_1, string string_2, string string_3, string[] string_4);

	public static void smethod_0(string string_0, string string_1, string string_2, string string_3, string[] string_4, Delegate651 delegate651_1)
	{
		delegate651_1(string_0, string_1, string_2, string_3, string_4);
	}

	public extern Delegate651(object object_0, IntPtr intptr_0);

	static Delegate651()
	{
		Class10.smethod_13(typeof(Delegate651).TypeHandle);
	}

	internal static Delegate651 delegate651_0;
}
